#include "Utils.h"
#include <math.h>
#include <iostream>
using namespace std;

Utils::Utils()
	{
	}
	
double Utils::sigmoid(const double val)
	{
	return tanh(val);
	}
	
double Utils::dsigmoid(const double val)
	{
	return (1.0-(val*val));
	}

bool Utils::accept(const double val)
	{
	if(val>ACCEPT) return 1;
	return 0;
	}

